# Interface FileFilter

Functional Interface:
  This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

@FunctionalInterface public interface FileFilter
A filter for abstract pathnames.

Instances of this interface may be passed to the `listFiles(FileFilter)` method of the `File` class.

Since:
  1.2

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `accept(File pathname)`
  Tests whether or not the specified abstract pathname should be included in a pathname list.

- ## Method Details

  - ### accept

    boolean accept(File pathname)
    Tests whether or not the specified abstract pathname should be included in a pathname list.
    Parameters:
      `pathname` - The abstract pathname to be tested
    Returns:
      `true` if and only if `pathname` should be included